[ovs-dev] [PATCH branch-2.14, v2] dpdk: Use DPDK 19.11.10 release

Kevin Traynor ktraynor at redhat.com
Thu Nov 18 14:23:23 UTC 2021


On 03/11/2021 07:41, Suneetha Kalahasthi wrote:
> Modify ci linux build script to use the latest DPDK stable release 19.11.10.
> Modify Documentation to use the latest DPDK stable release 19.11.10.
> Update NEWS file to reflect the latest DPDK stable release 19.11.10.
> FAQ is updated to reflect the latest DPDK for each OVS branch.
> 
> Signed-off-by: Suneetha Kalahasthi <suneetha.kalahasthi at intel.com>
> ---
>   .ci/linux-build.sh                   | 2 +-
>   Documentation/faq/releases.rst       | 4 ++--
>   Documentation/intro/install/dpdk.rst | 6 +++---
>   NEWS                                 | 3 +++
>   4 files changed, 9 insertions(+), 6 deletions(-)
> 
> diff --git a/.ci/linux-build.sh b/.ci/linux-build.sh
> index 7e16ebb6a..db63bfea1 100755
> --- a/.ci/linux-build.sh
> +++ b/.ci/linux-build.sh
> @@ -187,7 +187,7 @@ fi
>   
>   if [ "$DPDK" ] || [ "$DPDK_SHARED" ]; then
>       if [ -z "$DPDK_VER" ]; then
> -        DPDK_VER="19.11.8"
> +        DPDK_VER="19.11.10"
>       fi
>       install_dpdk $DPDK_VER
>       if [ "$CC" = "clang" ]; then
> diff --git a/Documentation/faq/releases.rst b/Documentation/faq/releases.rst
> index 9e8382611..f606ef2f8 100644
> --- a/Documentation/faq/releases.rst
> +++ b/Documentation/faq/releases.rst
> @@ -195,8 +195,8 @@ Q: What DPDK version does each Open vSwitch release work with?
>       2.10.x       17.11.10
>       2.11.x       18.11.11
>       2.12.x       18.11.11
> -    2.13.x       19.11.8
> -    2.14.x       19.11.8
> +    2.13.x       19.11.10
> +    2.14.x       19.11.10
>       ============ ========
>   
>   Q: Are all the DPDK releases that OVS versions work with maintained?
> diff --git a/Documentation/intro/install/dpdk.rst b/Documentation/intro/install/dpdk.rst
> index 2835c837e..bb3a5368f 100644
> --- a/Documentation/intro/install/dpdk.rst
> +++ b/Documentation/intro/install/dpdk.rst
> @@ -71,9 +71,9 @@ Install DPDK
>   #. Download the `DPDK sources`_, extract the file and set ``DPDK_DIR``::
>   
>          $ cd /usr/src/
> -       $ wget https://fast.dpdk.org/rel/dpdk-19.11.8.tar.xz
> -       $ tar xf dpdk-19.11.8.tar.xz
> -       $ export DPDK_DIR=/usr/src/dpdk-stable-19.11.8
> +       $ wget https://fast.dpdk.org/rel/dpdk-19.11.10.tar.xz
> +       $ tar xf dpdk-19.11.10.tar.xz
> +       $ export DPDK_DIR=/usr/src/dpdk-stable-19.11.10
>          $ cd $DPDK_DIR
>   
>   #. (Optional) Configure DPDK as a shared library
> diff --git a/NEWS b/NEWS
> index 7d8d6931c..39f212271 100644
> --- a/NEWS
> +++ b/NEWS
> @@ -1,5 +1,8 @@
>   v2.14.4 - xx xxx xxxx
>   ---------------------
> +   - DPDK:
> +     * OVS validated with DPDK 19.11.10. It is recommended to use this version
> +       until further releases.
>   
>   v2.14.3 - 21 Oct 2021
>   ---------------------
> 

There is still some references to 19.11.8 after this patch. Can you 
update these too. 2.13 patch looks to be the same.

$ git log --oneline -1
8e4b586d4 (HEAD -> branch-2.14) dpdk: Use DPDK 19.11.10 release

$ grep -r 19.11.8
Documentation/topics/dpdk/vhost-user.rst:    $ wget 
https://fast.dpdk.org/rel/dpdk-19.11.8.tar.xz
Documentation/topics/dpdk/vhost-user.rst:    $ tar xf dpdk-19.11.8.tar.xz
Documentation/topics/dpdk/vhost-user.rst:    $ export 
DPDK_DIR=/root/dpdk/dpdk-stable-19.11.8
Documentation/intro/install/dpdk.rst:- DPDK 19.11.8

thanks,
Kevin



More information about the dev mailing list